Skip to Content
EndpointsUnpublish Job

Unpublish Job

Remove a job from the Jobzyn job board. The job data is retained but no longer visible to candidates.

DELETE /api/integrations/job/{externalJobId}

Path Parameters

ParameterDescription
externalJobIdThe job ID you provided when creating the job

Headers

HeaderRequiredDescription
x-api-keyYesYour API key

Request Body

No request body required.

Response

Success — 200

{ "jobId": 1234, "error": null }

Job Not Found — 404

{ "jobId": null, "error": { "message": "External id REQ-2024-001 is not associated with any job within company 100" } }

Authentication Error — 403

{ "jobId": null, "error": { "message": "Invalid API key" } }

Example

curl -X DELETE https://www.jobzyn.com/api/integrations/job/REQ-2024-001 \ -H "x-api-key: jz_your_api_key_here"
Last updated on